Catalog
View as MarkdownSearch and retrieve products.
Authorization
bearerAuth Personal Access Token presented through Authorization: Bearer $GODADDY_PAT.
The PAT must include the scope documented for the operation.
In: header
Header Parameters
For tracing the request across network layers and components.
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/catalog/search" \ -H "Request-Id: 6ba7b810-9dad-41d1-80b4-00c04fd430c8" \ -H "Content-Type: application/json" \ -d '{ "context": { "address_country": "US", "currency": "USD", "language": "en" }, "pagination": { "limit": 20 } }'{ "ucp": { "version": "2026-04-08", "capabilities": { "dev.ucp.shopping.catalog.search": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.input": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.catalog_action": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.catalog_offer": [ { "version": "2026-04-08" } ] } }, "products": [ { "id": "hosting-economyapi", "title": "Web Hosting Economy — Monthly", "description": { "plain": "Web Hosting on the Economy plan, which also includes Node.js Hosting for deploying your app. Billed monthly with automatic renewal." }, "categories": [ { "value": "webHosting" } ], "price_range": { "min": { "amount": 799, "currency": "USD" }, "max": { "amount": 799, "currency": "USD" } }, "variants": [ { "id": "hosting-economyapi:1mo", "title": "Web Hosting Economy — 1 Month", "description": { "plain": "Web Hosting Economy, 1-month term." }, "price": { "amount": 799, "currency": "USD" }, "list_price": { "amount": 799, "currency": "USD" }, "availability": { "available": true }, "options": [ { "name": "Term", "id": "1mo", "label": "1 Month" } ] } ] }, { "id": "hosting-deluxeapi", "title": "Web Hosting Deluxe — Monthly", "description": { "plain": "Web Hosting on the Deluxe plan, which also includes Node.js Hosting for deploying your app. Billed monthly with automatic renewal." }, "categories": [ { "value": "webHosting" } ], "price_range": { "min": { "amount": 1099, "currency": "USD" }, "max": { "amount": 1099, "currency": "USD" } }, "variants": [ { "id": "hosting-deluxeapi:1mo", "title": "Web Hosting Deluxe — 1 Month", "description": { "plain": "Web Hosting Deluxe, 1-month term." }, "price": { "amount": 1099, "currency": "USD" }, "list_price": { "amount": 1099, "currency": "USD" }, "availability": { "available": true }, "options": [ { "name": "Term", "id": "1mo", "label": "1 Month" } ] } ] }, { "id": "hosting-ultimateapi", "title": "Web Hosting Ultimate — Monthly", "description": { "plain": "Web Hosting on the Ultimate plan, which also includes Node.js Hosting for deploying your app. Billed monthly with automatic renewal." }, "categories": [ { "value": "webHosting" } ], "price_range": { "min": { "amount": 1599, "currency": "USD" }, "max": { "amount": 1599, "currency": "USD" } }, "variants": [ { "id": "hosting-ultimateapi:1mo", "title": "Web Hosting Ultimate — 1 Month", "description": { "plain": "Web Hosting Ultimate, 1-month term." }, "price": { "amount": 1599, "currency": "USD" }, "list_price": { "amount": 1599, "currency": "USD" }, "availability": { "available": true }, "options": [ { "name": "Term", "id": "1mo", "label": "1 Month" } ] } ] } ], "pagination": { "has_next_page": false, "total_count": 3 }}Authorization
bearerAuth Personal Access Token presented through Authorization: Bearer $GODADDY_PAT.
The PAT must include the scope documented for the operation.
In: header
Header Parameters
For tracing the request across network layers and components.
uuidRequest Body
application/json
Request body for catalog lookup.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/catalog/lookup" \ -H "Request-Id: 6ba7b810-9dad-41d1-80b4-00c04fd430c8" \ -H "Content-Type: application/json" \ -d '{ "ids": [ "hosting-deluxeapi:1mo" ], "context": { "currency": "USD" } }'{ "ucp": { "version": "2026-04-08", "capabilities": { "dev.ucp.shopping.catalog.lookup": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.input": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.catalog_action": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.catalog_offer": [ { "version": "2026-04-08" } ] } }, "products": [ { "id": "hosting-deluxeapi", "title": "Web Hosting Deluxe — Monthly", "description": { "plain": "Web Hosting on the Deluxe plan, which also includes Node.js Hosting for deploying your app. Billed monthly with automatic renewal." }, "categories": [ { "value": "webHosting" } ], "price_range": { "min": { "amount": 1099, "currency": "USD" }, "max": { "amount": 1099, "currency": "USD" } }, "variants": [ { "id": "hosting-deluxeapi:1mo", "title": "Web Hosting Deluxe — 1 Month", "description": { "plain": "Web Hosting Deluxe, 1-month term." }, "price": { "amount": 1099, "currency": "USD" }, "list_price": { "amount": 1099, "currency": "USD" }, "availability": { "available": true }, "options": [ { "name": "Term", "id": "1mo", "label": "1 Month" } ], "inputs": [ { "id": "hosting-deluxeapi:1mo", "match": "exact" } ] } ] } ]}Authorization
bearerAuth Personal Access Token presented through Authorization: Bearer $GODADDY_PAT.
The PAT must include the scope documented for the operation.
In: header
Header Parameters
For tracing the request across network layers and components.
uuidRequest Body
application/json
Request body for single-product retrieval. Supports interactive variant narrowing via selected and preferences.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/catalog/product" \ -H "Request-Id: 6ba7b810-9dad-41d1-80b4-00c04fd430c8" \ -H "Content-Type: application/json" \ -d '{ "id": "hosting-deluxeapi" }'{ "ucp": { "version": "2026-04-08", "capabilities": { "dev.ucp.shopping.catalog.lookup": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.input": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.catalog_action": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.catalog_offer": [ { "version": "2026-04-08" } ] } }, "product": { "id": "hosting-deluxeapi", "title": "Web Hosting Deluxe — Monthly", "description": { "plain": "Web Hosting on the Deluxe plan, which also includes Node.js Hosting for deploying your app. Billed monthly with automatic renewal." }, "categories": [ { "value": "webHosting" } ], "price_range": { "min": { "amount": 1099, "currency": "USD" }, "max": { "amount": 1099, "currency": "USD" } }, "variants": [ { "id": "hosting-deluxeapi:1mo", "title": "Web Hosting Deluxe — 1 Month", "description": { "plain": "Web Hosting Deluxe, 1-month term." }, "price": { "amount": 1099, "currency": "USD" }, "list_price": { "amount": 1099, "currency": "USD" }, "availability": { "available": true }, "options": [ { "name": "Term", "id": "1mo", "label": "1 Month" } ] } ] }}Last updated on
How is this guide?